Bug 1244877 - Tuskar does not respect the NeutronExternalNetworkBridge parameter in network environment
Summary: Tuskar does not respect the NeutronExternalNetworkBridge parameter in network...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: z1
: Director
Assignee: Ana Krivokapic
QA Contact: yeylon@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-20 16:44 UTC by Dan Sneddon
Modified: 2016-04-18 06:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-19 16:46:34 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Dan Sneddon 2015-07-20 16:44:16 UTC
Description of problem:
When configuring the network-environment.yaml file, the NeutronExternalNetworkBridge can be specified. It defaults to "br-ex", but in most cases we will want to use a VLAN interface instead, so the bridge mapping should be "''". Tuskar, however, seems to ignore this parameter unless we prefix it like: Controller-1::NeutronExternalNetworkBridge.

Version-Release number of selected component (if applicable):
puddle-2015-07-17.2

How reproducible:
100%

Steps to Reproduce:
1. Add to parameter_defaults section of network-environment.yaml:   NeutronExternalNetworkBridge: "''"
2. Deploy overcloud with tuskar
3.

Actual results:
Overcloud l3agent.ini still has in l3_agent.ini:
external_network_bridge = br-ex

Expected results:
l3_agent.ini:external_network_bridge = 

Additional info:
We don't have to prefix Controller-1:: on any other parameters, so I'm not sure what's going on here. Apparently there used to be a CLI parameter for this, but it got removed.

Comment 3 Mike Burns 2015-08-19 16:46:34 UTC
Things are working as expected and we're going to be moving away from tuskar.


Note You need to log in before you can comment on or make changes to this bug.